Package org.jboss.classfilewriter.attributes

# Class StackMapTableAttribute

java.lang.Object
org.jboss.classfilewriter.attributes.Attribute
org.jboss.classfilewriter.attributes.StackMapTableAttribute

All Implemented Interfaces:
  `WritableEntry`

public class StackMapTableAttribute extends Attribute
A JDK 6 StackMap sttribute. TODO: this will currently fall over if the code length, max locals or max stack is above 65535

Author:
  Stuart Douglas

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

### Fields inherited from class org.jboss.classfilewriter.attributes.Attribute

`constPool`

## Constructor Summary

Constructors
Constructor
Description
`StackMapTableAttribute(ClassMethod classMethod, ConstPool constPool)`

## Method Summary

Modifier and Type
Method
Description
`void`
`writeData(ByteArrayDataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.attributes.Attribute

`getName, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

## Constructor Details

### StackMapTableAttribute

public StackMapTableAttribute(ClassMethod classMethod, ConstPool constPool)

## Method Details

### writeData

public void writeData(ByteArrayDataOutputStream stream) throws IOException

Specified by:
  `writeData` in class `Attribute`
Throws:
  `IOException`